com.hazelcast.spi

## Class OperationAccessor

- java.lang.Object
- - com.hazelcast.spi.OperationAccessor

-     @PrivateApi
      public final class OperationAccessor
      extends Object

  Allows access to certain attributes on an Operation.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `deactivate(Operation op)` Marks the supplied operation as "not active".
    `static boolean` | `hasActiveInvocation(Operation op)`
    `static void` | `setCallerAddress(Operation op, Address caller)`
    `static void` | `setCallId(Operation op, long callId)` Assigns the supplied call ID to the supplied operation, thereby activating it.
    `static void` | `setCallTimeout(Operation op, long callTimeout)` Sets the call timeout in milliseconds for the Operation.
    `static void` | `setConnection(Operation op, Connection connection)`
    `static void` | `setInvocationTime(Operation op, long invocationTime)` Sets the invocation time for the Operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setCallerAddress

          public static void setCallerAddress(Operation op,
                                              Address caller)

    - #### setConnection

          public static void setConnection(Operation op,
                                           Connection connection)

    - #### setCallId

          public static void setCallId(Operation op,
                                       long callId)

      Assigns the supplied call ID to the supplied operation, thereby activating it. Refer to Operation#setCallId(long) and Operation#getCallId() for detailed semantics.

    - #### deactivate

          public static boolean deactivate(Operation op)

      Marks the supplied operation as "not active". Refer to {@link Operation#deactivate()) for detailed semantics.

    - #### hasActiveInvocation

          public static boolean hasActiveInvocation(Operation op)

    - #### setInvocationTime

          public static void setInvocationTime(Operation op,
                                               long invocationTime)

      Sets the invocation time for the Operation.
      Parameters:
        `op` - the Operation that is updated for its invocation time.
        `invocationTime` - the new invocation time.
      See Also:
        `Operation.setInvocationTime(long)`

    - #### setCallTimeout

          public static void setCallTimeout(Operation op,
                                            long callTimeout)

      Sets the call timeout in milliseconds for the Operation.
      Parameters:
        `op` - the Operation to updated for its call timeout.
        `callTimeout` - the call timeout in ms.
      See Also:
        `Operation.setCallTimeout(long)`

Copyright © 2018. All rights reserved.